Bug 16412 - Cache undef in L1 only
Summary: Cache undef in L1 only
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Marcel de Rooy
QA Contact: Testopia
URL:
Keywords:
Depends on: 16044
Blocks:
  Show dependency treegraph
 
Reported: 2016-05-02 10:30 UTC by Marcel de Rooy
Modified: 2017-06-14 22:11 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 16412: Cache undef in L1 only (1.16 KB, patch)
2016-05-02 10:31 UTC, Marcel de Rooy
Details | Diff | Splinter Review
Bug 16412: Make sure Koha::Cache->set_in_cache will not warn anymore (1.17 KB, patch)
2016-05-02 11:44 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 16412: Cache undef in L1 only (1.28 KB, patch)
2016-05-02 11:44 UTC, Jonathan Druart
Details | Diff | Splinter Review
[PASSED QA] Bug 16412: Make sure Koha::Cache->set_in_cache will not warn anymore (1.24 KB, patch)
2016-05-08 14:34 UTC, Katrin Fischer
Details | Diff | Splinter Review
[PASSED QA] Bug 16412: Cache undef in L1 only (1.35 KB, patch)
2016-05-08 14:35 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Marcel de Rooy 2016-05-02 10:30:05 UTC
No need to cache undef in L2.
Prevent numerous warnings like:
Use of uninitialized value in subroutine entry at /usr/share/koha/masterclone/Koha/Cache.pm line 284
Comment 1 Marcel de Rooy 2016-05-02 10:31:23 UTC Comment hidden (obsolete)
Comment 2 Jonathan Druart 2016-05-02 11:44:20 UTC Comment hidden (obsolete)
Comment 3 Jonathan Druart 2016-05-02 11:44:31 UTC Comment hidden (obsolete)
Comment 4 Marcel de Rooy 2016-05-02 11:47:09 UTC
Thanks, Jonathan.
Just to clarify for QA:
If you use memcached, this patch will remove numerous warnings like:
Use of uninitialized value in subroutine entry at /usr/share/koha/masterclone/Koha/Cache.pm line 284
Comment 5 Katrin Fischer 2016-05-08 14:34:42 UTC
Created attachment 51310 [details] [review]
[PASSED QA] Bug 16412: Make sure Koha::Cache->set_in_cache will not warn anymore

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 6 Katrin Fischer 2016-05-08 14:35:15 UTC
Created attachment 51311 [details] [review]
[PASSED QA] Bug 16412: Cache undef in L1 only

No need to cache undef in L2.
Prevent numerous warnings like:
Use of uninitialized value in subroutine entry at /usr/share/koha/masterclone/Koha/Cache.pm line 284

Test plan:
Run t/Cache.t
Run t/db_dependent/sysprefs.t

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Amended patch: remove trailing space char and replace 'you' with 'we' to
match existing wordings.

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 7 Jesse Weaver 2016-05-12 22:11:33 UTC
Pushed for inclusion in 16.05, to be released in May 2015. Thanks for your work!
Comment 8 Jesse Weaver 2016-05-12 22:16:05 UTC
May 2016, rather...
Comment 9 Julian Maurice 2016-05-16 09:12:25 UTC
Not needed in stable versions, status changed to RESOLVED
Comment 10 Julian Maurice 2016-06-23 07:44:50 UTC
(In reply to Julian Maurice from comment #9)
> Not needed in stable versions, status changed to RESOLVED

Now needed because bug 16044 was pushed to 3.22.x
Patches pushed to 3.22.x, will be in 3.22.8